// EZTCheckDlg.h : header file
// Copyright (C) 2000-2001 by Dosadi.  All Rights Reserved.
//

#if !defined(AFX_EZTCHECKDLG_H__DC041589_F988_11D3_8434_0050DA7BC9AB__INCLUDED_)
#define AFX_EZTCHECKDLG_H__DC041589_F988_11D3_8434_0050DA7BC9AB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CEZTCheckDlg dialog

class CEZTCheckDlg : public CDialog
{
// Construction
public:
	CEZTCheckDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEZTCheckDlg)
	enum { IDD = IDD_EZTCHECK_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEZTCheckDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON   m_hIcon;
    TCHAR   szLog[8192];
    int     nTests, nPassed, nFailures;
    bool    bAbort;

    typedef void (CEZTCheckDlg::*TESTFN)(void);
    
    void DoTest(LPCTSTR pzName, TESTFN fn);

    void SelfTest(void);
    void FlagTest(void);
    void BasicStateTest(void);
    void SourceListTest(void);

    void Log(LPCTSTR pz);
    void LogFailure(LPCTSTR pz);

	// Generated message map functions
	//{{AFX_MSG(CEZTCheckDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnStart();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EZTCHECKDLG_H__DC041589_F988_11D3_8434_0050DA7BC9AB__INCLUDED_)
